﻿using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace XamGridSortPriorityCase
{
    public class TooltipConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((SortDirection)values[1] != SortDirection.None && values[0] !=null)
            {
                HeaderCellControl hcc = values[0] as HeaderCellControl;

                XamGrid grid = Utilities.GetAncestorFromType(hcc, typeof(XamGrid), false) as XamGrid;

                if (grid != null)
                {
                    return "Priority " + (grid.SortingSettings.SortedColumns.IndexOf(hcc.Column) + 1).ToString();
                }
                else
                {
                    return null;
                }
            }
            else
            {
                return null;
            }
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
